if (typeof __instrumentor_map__ === 'undefined') {
__instrumentor_map__ = {};
}
if (typeof __instrumentor_map__.i9fd67206eee7d1e1ff188470142cb00f === 'undefined') {
__instrumentor_map__.i9fd67206eee7d1e1ff188470142cb00f = {"filetag":"i9fd67206eee7d1e1ff188470142cb00f","filename":"lib/instrumentor-config.js","source":"\"use strict\";\n\n// These are expression-context items which can be completely wrapped.\nvar allowedReplacements = [\n\t\"AssignmentExpression\",\n\t\"ArrayExpression\",\n\t\"ArrayPattern\",\n\t\"ArrowFunctionExpression\",\n\t\"BinaryExpression\",\n\t\"CallExpression\",\n\t\"ConditionalExpression\",\n\t\"FunctionExpression\",\n\t\"Identifier\",\n\t\"Literal\",\n\t\"LogicalExpression\",\n\t\"MemberExpression\",\n\t\"NewExpression\",\n\t\"ObjectExpression\",\n\t\"ObjectPattern\",\n\t\"UnaryExpression\",\n\t\"UpdateExpression\"\n];\n\n// These are block/statement level constructs which cannot be wrapped and must\n// be prepended.\nvar allowedPrepend = [\n\t\"BlockStatement\",\n\t\"BreakStatement\",\n\t\"CatchClause\",\n\t\"ContinueStatement\",\n\t\"DirectiveStatement\",\n\t\"DoWhileStatement\",\n\t\"DebuggerStatement\",\n\t\"EmptyStatement\",\n\t\"ExportDeclaration\",\n\t\"ExpressionStatement\",\n\t\"ForStatement\",\n\t\"ForInStatement\",\n\t\"ForOfStatement\",\n\t\"FunctionDeclaration\",\n\t\"IfStatement\",\n\t\"LabeledStatement\",\n\t\"ReturnStatement\",\n\t\"SwitchStatement\",\n\t\"SwitchCase\",\n\t\"ThisExpression\",\n\t\"ThrowStatement\",\n\t\"TryStatement\",\n\t\"VariableDeclaration\",\n\t\"VariableDeclarator\",\n\t\"WhileStatement\",\n\t\"WithStatement\",\n\t\"YieldExpression\"\n];\n\nvar noReplaceMap = {\n\n\t// If we don't do this, our instrument code removes the context\n\t// from member expression function calls and returns the value\n\t// without the context required by some 'methods'.\n\t//\n\t// Without this, calls like array.indexOf() would break.\n\t\"CallExpression\": {\n\t\t\"callee\": {\n\t\t\t\"type\": \"MemberExpression\"\n\t\t}\n\t},\n\n\t// We can't put SequenceExpressions on the left side of\n\t// AssignmentExpressions.\n\t//\n\t// (e.g. (abc, def) = value;)\n\n\t\"AssignmentExpression\": [\"left\"],\n\n\t// Nor can we replace the id component of VariableDeclarators.\n\t// (e.g. var [id] = value)\n\n\t\"VariableDeclarator\": [\"id\"],\n\n\t// The components of MemberExpressions should not be touched.\n\t// (e.g. (instrument, abc).(instrument, def) from `abc.def`.)\n\n\t\"MemberExpression\": [\"object\", \"property\"],\n\n\t// The id component of Functions should not be touched.\n\t// (e.g. function (instrument, abc)() {} from `function abc() {}`.)\n\n\t// The parameters of FunctionExpressions should not be touched.\n\t// (e.g. function abc((instrument,a)) {} from `function abc(a) {}`.)\n\n\t\"FunctionExpression\": [\"id\", \"params\"],\n\t\"FunctionDeclaration\": [\"id\", \"params\"],\n\n\t// The properties of Objects should not be touched.\n\t// (e.g. {(instrument,a)): b} from `{a:b}`.)\n\n\t\"Property\": [\"key\"],\n\n\t// The parameter of a catch clause should not be touched.\n\t// (e.g. catch (instrument,a) { ... } from `catch (a) { ... }`.)\n\n\t\"CatchClause\": [\"param\"],\n\n\t// The argument of UpdateExpressions should not be touched.\n\t// (e.g. (instrument,a)++ from `a++`.)\n\n\t\"UpdateExpression\": [\"argument\"],\n\n\t// The argument of the UnaryExpression `typeof` should not be touched.\n\t// (e.g. typeof (instrument,a) from `typeof a`.)\n\n\t\"UnaryExpression\": [\"argument\"],\n\n\t// The left side of a ForInStatement should not be touched.\n\t// (e.g. for ((instrument,a) in (instrument,b)) from `for (a in b)`.)\n\n\t\"ForInStatement\": [\"left\"]\n};\n\nvar noPrependMap = {\n\n};\n\nmodule.exports = {\n\tnoReplaceMap: noReplaceMap,\n\tallowedReplacements: allowedReplacements,\n\tallowedPrepend: allowedPrepend,\n\tnoPrependMap: noPrependMap\n};","instruments":{"1":{"loc":{"start":{"line":1,"column":0},"end":{"line":1,"column":12}},"range":[0,12],"results":[],"stack":["Program","ExpressionStatement","Literal"],"type":"Literal","line":false},"2":{"loc":{"start":{"line":5,"column":1},"end":{"line":5,"column":23}},"range":[115,137],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"3":{"loc":{"start":{"line":6,"column":1},"end":{"line":6,"column":18}},"range":[140,157],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"4":{"loc":{"start":{"line":7,"column":1},"end":{"line":7,"column":15}},"range":[160,174],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"5":{"loc":{"start":{"line":8,"column":1},"end":{"line":8,"column":26}},"range":[177,202],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"6":{"loc":{"start":{"line":9,"column":1},"end":{"line":9,"column":19}},"range":[205,223],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"7":{"loc":{"start":{"line":10,"column":1},"end":{"line":10,"column":17}},"range":[226,242],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"8":{"loc":{"start":{"line":11,"column":1},"end":{"line":11,"column":24}},"range":[245,268],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"9":{"loc":{"start":{"line":12,"column":1},"end":{"line":12,"column":21}},"range":[271,291],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"10":{"loc":{"start":{"line":13,"column":1},"end":{"line":13,"column":13}},"range":[294,306],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"11":{"loc":{"start":{"line":14,"column":1},"end":{"line":14,"column":10}},"range":[309,318],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"12":{"loc":{"start":{"line":15,"column":1},"end":{"line":15,"column":20}},"range":[321,340],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"13":{"loc":{"start":{"line":16,"column":1},"end":{"line":16,"column":19}},"range":[343,361],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"14":{"loc":{"start":{"line":17,"column":1},"end":{"line":17,"column":16}},"range":[364,379],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"15":{"loc":{"start":{"line":18,"column":1},"end":{"line":18,"column":19}},"range":[382,400],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"16":{"loc":{"start":{"line":19,"column":1},"end":{"line":19,"column":16}},"range":[403,418],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"17":{"loc":{"start":{"line":20,"column":1},"end":{"line":20,"column":18}},"range":[421,438],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"18":{"loc":{"start":{"line":21,"column":1},"end":{"line":21,"column":19}},"range":[441,459],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"19":{"loc":{"start":{"line":4,"column":26},"end":{"line":22,"column":1}},"range":[112,461],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression"],"type":"ArrayExpression","line":false},"20":{"loc":{"start":{"line":27,"column":1},"end":{"line":27,"column":17}},"range":[584,600],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"21":{"loc":{"start":{"line":28,"column":1},"end":{"line":28,"column":17}},"range":[603,619],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"22":{"loc":{"start":{"line":29,"column":1},"end":{"line":29,"column":14}},"range":[622,635],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"23":{"loc":{"start":{"line":30,"column":1},"end":{"line":30,"column":20}},"range":[638,657],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"24":{"loc":{"start":{"line":31,"column":1},"end":{"line":31,"column":21}},"range":[660,680],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"25":{"loc":{"start":{"line":32,"column":1},"end":{"line":32,"column":19}},"range":[683,701],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"26":{"loc":{"start":{"line":33,"column":1},"end":{"line":33,"column":20}},"range":[704,723],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"27":{"loc":{"start":{"line":34,"column":1},"end":{"line":34,"column":17}},"range":[726,742],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"28":{"loc":{"start":{"line":35,"column":1},"end":{"line":35,"column":20}},"range":[745,764],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"29":{"loc":{"start":{"line":36,"column":1},"end":{"line":36,"column":22}},"range":[767,788],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"30":{"loc":{"start":{"line":37,"column":1},"end":{"line":37,"column":15}},"range":[791,805],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"31":{"loc":{"start":{"line":38,"column":1},"end":{"line":38,"column":17}},"range":[808,824],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"32":{"loc":{"start":{"line":39,"column":1},"end":{"line":39,"column":17}},"range":[827,843],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"33":{"loc":{"start":{"line":40,"column":1},"end":{"line":40,"column":22}},"range":[846,867],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"34":{"loc":{"start":{"line":41,"column":1},"end":{"line":41,"column":14}},"range":[870,883],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"35":{"loc":{"start":{"line":42,"column":1},"end":{"line":42,"column":19}},"range":[886,904],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"36":{"loc":{"start":{"line":43,"column":1},"end":{"line":43,"column":18}},"range":[907,924],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"37":{"loc":{"start":{"line":44,"column":1},"end":{"line":44,"column":18}},"range":[927,944],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"38":{"loc":{"start":{"line":45,"column":1},"end":{"line":45,"column":13}},"range":[947,959],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"39":{"loc":{"start":{"line":46,"column":1},"end":{"line":46,"column":17}},"range":[962,978],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"40":{"loc":{"start":{"line":47,"column":1},"end":{"line":47,"column":17}},"range":[981,997],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"41":{"loc":{"start":{"line":48,"column":1},"end":{"line":48,"column":15}},"range":[1000,1014],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"42":{"loc":{"start":{"line":49,"column":1},"end":{"line":49,"column":22}},"range":[1017,1038],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"43":{"loc":{"start":{"line":50,"column":1},"end":{"line":50,"column":21}},"range":[1041,1061],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"44":{"loc":{"start":{"line":51,"column":1},"end":{"line":51,"column":17}},"range":[1064,1080],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"45":{"loc":{"start":{"line":52,"column":1},"end":{"line":52,"column":16}},"range":[1083,1098],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"46":{"loc":{"start":{"line":53,"column":1},"end":{"line":53,"column":18}},"range":[1101,1118],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression","Literal"],"type":"Literal","line":false},"47":{"loc":{"start":{"line":26,"column":21},"end":{"line":54,"column":1}},"range":[581,1120],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ArrayExpression"],"type":"ArrayExpression","line":false},"48":{"loc":{"start":{"line":65,"column":11},"end":{"line":65,"column":29}},"range":[1434,1452],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ObjectExpression","Property","ObjectExpression","Property","Literal"],"type":"Literal","line":false},"49":{"loc":{"start":{"line":64,"column":12},"end":{"line":66,"column":3}},"range":[1421,1456],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ObjectExpression","Property","ObjectExpression"],"type":"ObjectExpression","line":false},"50":{"loc":{"start":{"line":63,"column":19},"end":{"line":67,"column":2}},"range":[1407,1459],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ObjectExpression"],"type":"ObjectExpression","line":false},"51":{"loc":{"start":{"line":74,"column":26},"end":{"line":74,"column":32}},"range":[1608,1614],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"52":{"loc":{"start":{"line":74,"column":25},"end":{"line":74,"column":33}},"range":[1607,1615],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"53":{"loc":{"start":{"line":79,"column":24},"end":{"line":79,"column":28}},"range":[1735,1739],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"54":{"loc":{"start":{"line":79,"column":23},"end":{"line":79,"column":29}},"range":[1734,1740],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"55":{"loc":{"start":{"line":84,"column":22},"end":{"line":84,"column":30}},"range":[1892,1900],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"56":{"loc":{"start":{"line":84,"column":32},"end":{"line":84,"column":42}},"range":[1902,1912],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"57":{"loc":{"start":{"line":84,"column":21},"end":{"line":84,"column":43}},"range":[1891,1913],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"58":{"loc":{"start":{"line":92,"column":24},"end":{"line":92,"column":28}},"range":[2203,2207],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"59":{"loc":{"start":{"line":92,"column":30},"end":{"line":92,"column":38}},"range":[2209,2217],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"60":{"loc":{"start":{"line":92,"column":23},"end":{"line":92,"column":39}},"range":[2202,2218],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"61":{"loc":{"start":{"line":93,"column":25},"end":{"line":93,"column":29}},"range":[2245,2249],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"62":{"loc":{"start":{"line":93,"column":31},"end":{"line":93,"column":39}},"range":[2251,2259],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"63":{"loc":{"start":{"line":93,"column":24},"end":{"line":93,"column":40}},"range":[2244,2260],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"64":{"loc":{"start":{"line":98,"column":14},"end":{"line":98,"column":19}},"range":[2377,2382],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"65":{"loc":{"start":{"line":98,"column":13},"end":{"line":98,"column":20}},"range":[2376,2383],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"66":{"loc":{"start":{"line":103,"column":17},"end":{"line":103,"column":24}},"range":[2529,2536],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"67":{"loc":{"start":{"line":103,"column":16},"end":{"line":103,"column":25}},"range":[2528,2537],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"68":{"loc":{"start":{"line":108,"column":22},"end":{"line":108,"column":32}},"range":[2664,2674],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"69":{"loc":{"start":{"line":108,"column":21},"end":{"line":108,"column":33}},"range":[2663,2675],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"70":{"loc":{"start":{"line":113,"column":21},"end":{"line":113,"column":31}},"range":[2822,2832],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"71":{"loc":{"start":{"line":113,"column":20},"end":{"line":113,"column":32}},"range":[2821,2833],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"72":{"loc":{"start":{"line":118,"column":20},"end":{"line":118,"column":26}},"range":[2989,2995],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression","Literal"],"type":"Literal","line":false},"73":{"loc":{"start":{"line":118,"column":19},"end":{"line":118,"column":27}},"range":[2988,2996],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression","Property","ArrayExpression"],"type":"ArrayExpression","line":false},"74":{"loc":{"start":{"line":56,"column":19},"end":{"line":119,"column":1}},"range":[1142,2998],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression"],"type":"ObjectExpression","line":false},"75":{"loc":{"start":{"line":121,"column":19},"end":{"line":123,"column":1}},"range":[3020,3024],"results":[],"stack":["Program","VariableDeclaration","VariableDeclarator","ObjectExpression"],"type":"ObjectExpression","line":false},"76":{"loc":{"start":{"line":126,"column":15},"end":{"line":126,"column":27}},"range":[3061,3073],"results":[],"stack":["Program","ExpressionStatement","AssignmentExpression","ObjectExpression","Property","Identifier"],"type":"Identifier","line":false},"77":{"loc":{"start":{"line":127,"column":22},"end":{"line":127,"column":41}},"range":[3097,3116],"results":[],"stack":["Program","ExpressionStatement","AssignmentExpression","ObjectExpression","Property","Identifier"],"type":"Identifier","line":false},"78":{"loc":{"start":{"line":128,"column":17},"end":{"line":128,"column":31}},"range":[3135,3149],"results":[],"stack":["Program","ExpressionStatement","AssignmentExpression","ObjectExpression","Property","Identifier"],"type":"Identifier","line":false},"79":{"loc":{"start":{"line":129,"column":15},"end":{"line":129,"column":27}},"range":[3166,3178],"results":[],"stack":["Program","ExpressionStatement","AssignmentExpression","ObjectExpression","Property","Identifier"],"type":"Identifier","line":false},"80":{"loc":{"start":{"line":125,"column":17},"end":{"line":130,"column":1}},"range":[3044,3180],"results":[],"stack":["Program","ExpressionStatement","AssignmentExpression","ObjectExpression"],"type":"ObjectExpression","line":false},"81":{"loc":{"start":{"line":125,"column":0},"end":{"line":130,"column":1}},"range":[3027,3180],"results":[],"stack":["Program","ExpressionStatement","AssignmentExpression"],"type":"AssignmentExpression","line":false},"82":{"loc":{"start":{"line":1,"column":0},"end":{"line":1,"column":13}},"range":[0,13],"results":[],"stack":["Program","ExpressionStatement"],"type":"ExpressionStatement","line":true},"83":{"loc":{"start":{"line":4,"column":0},"end":{"line":22,"column":2}},"range":[86,462],"results":[],"stack":["Program","VariableDeclaration"],"type":"VariableDeclaration","line":true},"84":{"loc":{"start":{"line":26,"column":0},"end":{"line":54,"column":2}},"range":[560,1121],"results":[],"stack":["Program","VariableDeclaration"],"type":"VariableDeclaration","line":true},"85":{"loc":{"start":{"line":56,"column":0},"end":{"line":119,"column":2}},"range":[1123,2999],"results":[],"stack":["Program","VariableDeclaration"],"type":"VariableDeclaration","line":true},"86":{"loc":{"start":{"line":121,"column":0},"end":{"line":123,"column":2}},"range":[3001,3025],"results":[],"stack":["Program","VariableDeclaration"],"type":"VariableDeclaration","line":true},"87":{"loc":{"start":{"line":125,"column":0},"end":{"line":130,"column":2}},"range":[3027,3181],"results":[],"stack":["Program","ExpressionStatement"],"type":"ExpressionStatement","line":true}},"comments":[[15,85],[464,542],[543,559],[1146,1209],[1211,1273],[1275,1325],[1327,1329],[1331,1387],[1463,1518],[1520,1545],[1547,1549],[1551,1580],[1619,1681],[1683,1709],[1744,1805],[1807,1868],[1917,1972],[1974,2041],[2044,2107],[2109,2177],[2264,2315],[2317,2361],[2387,2444],[2446,2510],[2541,2600],[2602,2640],[2679,2749],[2751,2799],[2837,2896],[2898,2967]]};
}
function instrumentor_record(filetag, id, expression) {
	var scope = global || window;
	scope.st_timeCommenced = scope.st_timeCommenced || Date.now();
	scope.st_iterator = (scope.st_iterator || 0);

	var depth =
		(new Error()).stack.split("\n")
			.slice(1)
			.length;

	if (!scope.mem)
		scope.mem = (
			typeof process !== "undefined" ? process.memoryUsage : function(){}
		);

	__instrumentor_map__[filetag].instruments[id].results.push({
		"depth": depth,
		"time": Date.now(),
		"timeOffset": Date.now() - scope.st_timeCommenced,
		"memoryUsage": scope.mem(),
		"invocation": scope.st_iterator,
		"milestone": scope.__steamshovel_milestone,
		"value": scope.__steamshovel_record_expression ? expression : null
	});

	scope.st_iterator ++;

	// Make sure we return the original expresison result
	return expression;
}
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 82);
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 1, 'use strict');
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 83);
var allowedReplacements = instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 19, [
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 2, 'AssignmentExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 3, 'ArrayExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 4, 'ArrayPattern'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 5, 'ArrowFunctionExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 6, 'BinaryExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 7, 'CallExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 8, 'ConditionalExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 9, 'FunctionExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 10, 'Identifier'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 11, 'Literal'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 12, 'LogicalExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 13, 'MemberExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 14, 'NewExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 15, 'ObjectExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 16, 'ObjectPattern'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 17, 'UnaryExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 18, 'UpdateExpression')
    ]);
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 84);
var allowedPrepend = instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 47, [
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 20, 'BlockStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 21, 'BreakStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 22, 'CatchClause'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 23, 'ContinueStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 24, 'DirectiveStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 25, 'DoWhileStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 26, 'DebuggerStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 27, 'EmptyStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 28, 'ExportDeclaration'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 29, 'ExpressionStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 30, 'ForStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 31, 'ForInStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 32, 'ForOfStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 33, 'FunctionDeclaration'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 34, 'IfStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 35, 'LabeledStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 36, 'ReturnStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 37, 'SwitchStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 38, 'SwitchCase'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 39, 'ThisExpression'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 40, 'ThrowStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 41, 'TryStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 42, 'VariableDeclaration'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 43, 'VariableDeclarator'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 44, 'WhileStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 45, 'WithStatement'),
        instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 46, 'YieldExpression')
    ]);
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 85);
var noReplaceMap = instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 74, {
        'CallExpression': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 50, { 'callee': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 49, { 'type': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 48, 'MemberExpression') }) }),
        'AssignmentExpression': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 52, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 51, 'left')]),
        'VariableDeclarator': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 54, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 53, 'id')]),
        'MemberExpression': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 57, [
            instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 55, 'object'),
            instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 56, 'property')
        ]),
        'FunctionExpression': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 60, [
            instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 58, 'id'),
            instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 59, 'params')
        ]),
        'FunctionDeclaration': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 63, [
            instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 61, 'id'),
            instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 62, 'params')
        ]),
        'Property': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 65, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 64, 'key')]),
        'CatchClause': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 67, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 66, 'param')]),
        'UpdateExpression': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 69, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 68, 'argument')]),
        'UnaryExpression': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 71, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 70, 'argument')]),
        'ForInStatement': instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 73, [instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 72, 'left')])
    });
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 86);
var noPrependMap = instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 75, {});
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 87);
instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 81, module.exports = instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 80, {
    noReplaceMap: instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 76, noReplaceMap),
    allowedReplacements: instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 77, allowedReplacements),
    allowedPrepend: instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 78, allowedPrepend),
    noPrependMap: instrumentor_record('i9fd67206eee7d1e1ff188470142cb00f', 79, noPrependMap)
}));